Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Solucionado (ver solução)

nao consigo instalar o ebean no projeto

segue erro

[info] Resolving com.typesafe.sbt#sbt-play-ebean;3.0.0 ...
[warn]  module not found: com.typesafe.sbt#sbt-play-ebean;3.0.0
[warn] ==== typesafe-ivy-releases: tried
[warn]   https://repo.typesafe.com/typesafe/ivy-releases/com.typesafe.sbt/sbt-play-ebean/scala_2.10/sbt_0.13/3.0.0/ivys/ivy.xml
[warn] ==== sbt-plugin-releases: tried
[warn]   https://repo.scala-sbt.org/scalasbt/sbt-plugin-releases/com.typesafe.sbt/sbt-play-ebean/scala_2.10/sbt_0.13/3.0.0/ivys/ivy.xml
[warn] ==== local: tried
[warn]   C:\Users\george\.ivy2\local\com.typesafe.sbt\sbt-play-ebean\scala_2.10\sbt_0.13\3.0.0\ivys\ivy.xml
[warn] ==== public: tried
[warn]   https://repo1.maven.org/maven2/com/typesafe/sbt/sbt-play-ebean_2.10_0.13/3.0.0/sbt-play-ebean-3.0.0.pom
[warn] ==== activator-launcher-local: tried
[warn]   C:\Program Files\activator-dist-1.3.12\repository\com.typesafe.sbt\sbt-play-ebean\scala_2.10\sbt_0.13\3.0.0\ivys\ivy.xml
[warn] ==== typesafe-releases: tried
[warn]   https://repo.typesafe.com/typesafe/releases/com/typesafe/sbt/sbt-play-ebean_2.10_0.13/3.0.0/sbt-play-ebean-3.0.0.pom
[warn] ==== typesafe-ivy-releasez: tried
[warn]   https://repo.typesafe.com/typesafe/ivy-releases/com.typesafe.sbt/sbt-play-ebean/scala_2.10/sbt_0.13/3.0.0/ivys/ivy.xml
[info] Resolving org.fusesource.jansi#jansi;1.4 ...
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  ::          UNRESOLVED DEPENDENCIES         ::
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  :: com.typesafe.sbt#sbt-play-ebean;3.0.0: not found
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]
[warn]  Note: Some unresolved dependencies have extra attributes.  Check that these dependencies exist with the requested attributes.
[warn]          com.typesafe.sbt:sbt-play-ebean:3.0.0 (scalaVersion=2.10, sbtVersion=0.13)
[warn]
[warn]  Note: Unresolved dependencies path:
[warn]          com.typesafe.sbt:sbt-play-ebean:3.0.0 (scalaVersion=2.10, sbtVersion=0.13) (C:\Users\george\Documents\play framework\produtos-api\project\plugins.sbt#L21-22)
[warn]            +- default:produtos-api-build:0.1-SNAPSHOT (scalaVersion=2.10, sbtVersion=0.13)
2 respostas

Silva, pode compartilhar comigo o código dos seus arquivos build.sbt e project/plugins.sbt pra eu dar uma olhada?

solução

Como isso nunca ocorreu comigo, fiz uma pesquisa aqui e encontrei pessoas com o mesmo problema. Parece que em alguns casos, o sbt não consegue cadastrar direito o repositório da typesafe.

Então, vamos fazer isso na mão. Tente adicionar isso no seu arquivo build.sbt, antes da lista de dependências:

resolvers += "Typesafe Releases" at "https://repo.typesafe.com/typesafe/releases/"
resolvers += "Typesafe Simple Repository" at
  "http://repo.typesafe.com/typesafe/simple/maven-releases/"